class gauges_essai7 extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_essai7"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }

		var g = 0;
		var MapWidth = 380;
		var MapHeight = 380;
		var ZoomFactor = 0;
		var LightFlash = ( Math.round(SimVar.GetGlobalVarValue("LOCAL TIME", "seconds") * 1 % 6) ?  1 :  0 );
		var ZOOMOUTButton = 1;
		var ZOOMINButton = 1;

		/* MMMAP_MIL_SIMMAP_0 */
		var MMMap_Mil_SimMAP_0 = this.querySelector("#MMMap_Mil_SimMAP_0");
		if (typeof MMMap_Mil_SimMAP_0 !== "undefined") {
		  var transform = '';

		  MMMap_Mil_SimMAP_0.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:RealMap,enum) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    MMMap_Mil_SimMAP_0.style.transform = transform; 

		}

		/* MMMAP_MIL_MAP_1 */
		var MMMap_Mil_MAP_1 = this.querySelector("#MMMap_Mil_MAP_1");
		if (typeof MMMap_Mil_MAP_1 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_MAP_1.style.transform = transform; 

		}

		/* MMMAP_MIL_MAP_TERR_STD_2 */
		var MMMap_Mil_Map_Terr_STD_2 = this.querySelector("#MMMap_Mil_Map_Terr_STD_2");
		if (typeof MMMap_Mil_Map_Terr_STD_2 !== "undefined") {
		  var transform = '';

		  MMMap_Mil_Map_Terr_STD_2.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:MapTerr,enum) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    MMMap_Mil_Map_Terr_STD_2.style.transform = transform; 

		}

		/* MMMAP_MIL_MAP_TERR1_3 */
		var MMMap_Mil_Map_Terr1_3 = this.querySelector("#MMMap_Mil_Map_Terr1_3");
		if (typeof MMMap_Mil_Map_Terr1_3 !== "undefined") {
		  var transform = '';

		  MMMap_Mil_Map_Terr1_3.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:MapTerr,enum) 1 ==" */ ? "block" : "none";

		  if (transform != '')
		    MMMap_Mil_Map_Terr1_3.style.transform = transform; 

		}

		/* MMMAP_MIL_MAP_TERR2_4 */
		var MMMap_Mil_Map_Terr2_4 = this.querySelector("#MMMap_Mil_Map_Terr2_4");
		if (typeof MMMap_Mil_Map_Terr2_4 !== "undefined") {
		  var transform = '';

		  MMMap_Mil_Map_Terr2_4.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:MapTerr,enum) 2 ==" */ ? "block" : "none";

		  if (transform != '')
		    MMMap_Mil_Map_Terr2_4.style.transform = transform; 

		}

		/* MMMAP_MIL_COMPASS_ROSE_5 */
		var MMMap_Mil_Compass_rose_5 = this.querySelector("#MMMap_Mil_Compass_rose_5");
		if (typeof MMMap_Mil_Compass_rose_5 !== "undefined") {
		  var transform = '';

		  MMMap_Mil_Compass_rose_5.style.display = ( 1 > 0 ) ? "block" : "none";

		  if (transform != '')
		    MMMap_Mil_Compass_rose_5.style.transform = transform; 

		}

		/* MMMAP_MIL_HOIZONTAL_6 */
		var MMMap_Mil_Hoizontal_6 = this.querySelector("#MMMap_Mil_Hoizontal_6");
		if (typeof MMMap_Mil_Hoizontal_6 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Hoizontal_6.style.transform = transform; 

		}

		/* MMMAP_MIL_VERTICAL_7 */
		var MMMap_Mil_Vertical_7 = this.querySelector("#MMMap_Mil_Vertical_7");
		if (typeof MMMap_Mil_Vertical_7 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Vertical_7.style.transform = transform; 

		}

		/* MMMAP_MIL_AIF_8 */
		var MMMap_Mil_AIF_8 = this.querySelector("#MMMap_Mil_AIF_8");
		if (typeof MMMap_Mil_AIF_8 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_AIF_8.style.transform = transform; 

		}

		/* MMMAP_MIL_HDG_READOUT_9 */
		var MMMap_Mil_HDG_Readout_9 = this.querySelector("#MMMap_Mil_HDG_Readout_9");
		if (typeof MMMap_Mil_HDG_Readout_9 !== "undefined") {
		  var transform = '';

			MMMap_Mil_HDG_Readout_9.innerHTML = Math.round( ( ( Math.round(SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees")) == 0 ) ? 360 : Math.round(SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees")) ) ).toString() ;

		  if (transform != '')
		    MMMap_Mil_HDG_Readout_9.style.transform = transform; 

		}

		/* MMMAP_MIL_HDG_FLASH_10 */
		var MMMap_Mil_HDG_Flash_10 = this.querySelector("#MMMap_Mil_HDG_Flash_10");
		if (typeof MMMap_Mil_HDG_Flash_10 !== "undefined") {
		  var transform = '';

		  MMMap_Mil_HDG_Flash_10.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "@LightFlash" */ ? "block" : "none";

		  if (transform != '')
		    MMMap_Mil_HDG_Flash_10.style.transform = transform; 

		}

		/* MMMAP_MIL_ZOOM_11 */
		var MMMap_Mil_Zoom_11 = this.querySelector("#MMMap_Mil_Zoom_11");
		if (typeof MMMap_Mil_Zoom_11 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Zoom_11.style.transform = transform; 

		}

		/* MMMAP_MIL_ZOOM_READOUT_12 */
		var MMMap_Mil_Zoom_Readout_12 = this.querySelector("#MMMap_Mil_Zoom_Readout_12");
		if (typeof MMMap_Mil_Zoom_Readout_12 !== "undefined") {
		  var transform = '';

			MMMap_Mil_Zoom_Readout_12.innerHTML = Math.round( 1 * 5926 ).toString() + " ft" ;

		  if (transform != '')
		    MMMap_Mil_Zoom_Readout_12.style.transform = transform; 

		}

		/* MMMAP_MIL_TERRAIN_NBR_13 */
		var MMMap_Mil_Terrain_Nbr_13 = this.querySelector("#MMMap_Mil_Terrain_Nbr_13");
		if (typeof MMMap_Mil_Terrain_Nbr_13 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Terrain_Nbr_13.style.transform = transform; 

		}

		/* MMMAP_MIL_TEST_READOUT_14 */
		var MMMap_Mil_test_Readout_14 = this.querySelector("#MMMap_Mil_test_Readout_14");
		if (typeof MMMap_Mil_test_Readout_14 !== "undefined") {
		  var transform = '';

			MMMap_Mil_test_Readout_14.innerHTML = Math.round( 1 ).toString() ;

		  if (transform != '')
		    MMMap_Mil_test_Readout_14.style.transform = transform; 

		}

		/* MMMAP_MIL_MAP_MASK_15 */
		var MMMap_Mil_Map_Mask_15 = this.querySelector("#MMMap_Mil_Map_Mask_15");
		if (typeof MMMap_Mil_Map_Mask_15 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Map_Mask_15.style.transform = transform; 

		}

		/* MMMAP_MIL_CONTROL_MENU_16 */
		var MMMap_Mil_Control_Menu_16 = this.querySelector("#MMMap_Mil_Control_Menu_16");
		if (typeof MMMap_Mil_Control_Menu_16 !== "undefined") {
		  var transform = '';

		  MMMap_Mil_Control_Menu_16.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:MMap_Menu,enum) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    MMMap_Mil_Control_Menu_16.style.transform = transform; 

		}

		/* MMMAP_MIL_ELEMENT_17 */
		var MMMap_Mil_Element_17 = this.querySelector("#MMMap_Mil_Element_17");
		if (typeof MMMap_Mil_Element_17 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Element_17.style.transform = transform; 

		}

		/* MMMAP_MIL_GAUGETEXT_18 */
		var MMMap_Mil_GaugeText_18 = this.querySelector("#MMMap_Mil_GaugeText_18");
		if (typeof MMMap_Mil_GaugeText_18 !== "undefined") {
		  var transform = '';

			MMMap_Mil_GaugeText_18.innerHTML = "\{lmrg=250} A\n%\{lsp=13}% P\n%\{lsp=13}% T\n%\{lsp=23}%  I\n%\{lsp=13}% L\n%\{lsp=13}% S\n%\{lsp=21}%  V\n%\{lsp=13}% O\n%\{lsp=13}% R\n%\{lsp=18}%  N\n%\{lsp=13}% D\n%\{lsp=13}% B\n%\{lsp=18}%  I\n%\{lsp=13}% N\n%\{lsp=13}% T\n%\{lsp=1}%";

		  if (transform != '')
		    MMMap_Mil_GaugeText_18.style.transform = transform; 

		}

		/* MMMAP_MIL_ELEMENT_19 */
		var MMMap_Mil_Element_19 = this.querySelector("#MMMap_Mil_Element_19");
		if (typeof MMMap_Mil_Element_19 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Element_19.style.transform = transform; 

		}

		/* MMMAP_MIL_GAUGETEXT_20 */
		var MMMap_Mil_GaugeText_20 = this.querySelector("#MMMap_Mil_GaugeText_20");
		if (typeof MMMap_Mil_GaugeText_20 !== "undefined") {
		  var transform = '';

			MMMap_Mil_GaugeText_20.innerHTML = "T\n%\{lsp=13}% R\n%\{lsp=13}% K\n%\{lsp=22}%  B\n%\{lsp=13}% O\n%\{lsp=13}% R\n%\{lsp=20}%   C\n%\{lsp=13}% O\n%\{lsp=13}% P\n%\{lsp=1}%";

		  if (transform != '')
		    MMMap_Mil_GaugeText_20.style.transform = transform; 

		}

		/* MMMAP_MIL_ELEMENT_21 */
		var MMMap_Mil_Element_21 = this.querySelector("#MMMap_Mil_Element_21");
		if (typeof MMMap_Mil_Element_21 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Element_21.style.transform = transform; 

		}

		/* MMMAP_MIL_GAUGETEXT_22 */
		var MMMap_Mil_GaugeText_22 = this.querySelector("#MMMap_Mil_GaugeText_22");
		if (typeof MMMap_Mil_GaugeText_22 !== "undefined") {
		  var transform = '';

			MMMap_Mil_GaugeText_22.innerHTML = "ZO            ZI        MENU       TS       RM";

		  if (transform != '')
		    MMMap_Mil_GaugeText_22.style.transform = transform; 

		}

		/* MMMAP_MIL_REALMAP_23 */
		var MMMap_Mil_RealMap_23 = this.querySelector("#MMMap_Mil_RealMap_23");
		if (typeof MMMap_Mil_RealMap_23 !== "undefined") {
		  var transform = '';

		  MMMap_Mil_RealMap_23.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:RealMap,enum) 1 ==" */ ? "block" : "none";

		  if (transform != '')
		    MMMap_Mil_RealMap_23.style.transform = transform; 

		}

		/* MMMAP_MIL_COMPASS_ROSE_24 */
		var MMMap_Mil_Compass_rose_24 = this.querySelector("#MMMap_Mil_Compass_rose_24");
		if (typeof MMMap_Mil_Compass_rose_24 !== "undefined") {
		  var transform = '';

		  MMMap_Mil_Compass_rose_24.style.display = ( 1 > 0 ) ? "block" : "none";

		  if (transform != '')
		    MMMap_Mil_Compass_rose_24.style.transform = transform; 

		}

		/* MMMAP_MIL_HOIZONTAL_25 */
		var MMMap_Mil_Hoizontal_25 = this.querySelector("#MMMap_Mil_Hoizontal_25");
		if (typeof MMMap_Mil_Hoizontal_25 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Hoizontal_25.style.transform = transform; 

		}

		/* MMMAP_MIL_VERTICAL_26 */
		var MMMap_Mil_Vertical_26 = this.querySelector("#MMMap_Mil_Vertical_26");
		if (typeof MMMap_Mil_Vertical_26 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Vertical_26.style.transform = transform; 

		}

		/* MMMAP_MIL_HDG_FLASH_27 */
		var MMMap_Mil_HDG_Flash_27 = this.querySelector("#MMMap_Mil_HDG_Flash_27");
		if (typeof MMMap_Mil_HDG_Flash_27 !== "undefined") {
		  var transform = '';

		  MMMap_Mil_HDG_Flash_27.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "@LightFlash" */ ? "block" : "none";

		  if (transform != '')
		    MMMap_Mil_HDG_Flash_27.style.transform = transform; 

		}

		/* MMMAP_MIL_AIF_28 */
		var MMMap_Mil_AIF_28 = this.querySelector("#MMMap_Mil_AIF_28");
		if (typeof MMMap_Mil_AIF_28 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_AIF_28.style.transform = transform; 

		}

		/* MMMAP_MIL_HDG_READOUT_29 */
		var MMMap_Mil_HDG_Readout_29 = this.querySelector("#MMMap_Mil_HDG_Readout_29");
		if (typeof MMMap_Mil_HDG_Readout_29 !== "undefined") {
		  var transform = '';

			MMMap_Mil_HDG_Readout_29.innerHTML = Math.round( ( ( Math.round(SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees")) == 0 ) ? 360 : Math.round(SimVar.GetSimVarValue("PLANE HEADING DEGREES TRUE", "degrees")) ) ).toString() ;

		  if (transform != '')
		    MMMap_Mil_HDG_Readout_29.style.transform = transform; 

		}

		/* MMMAP_MIL_ZOOM_30 */
		var MMMap_Mil_Zoom_30 = this.querySelector("#MMMap_Mil_Zoom_30");
		if (typeof MMMap_Mil_Zoom_30 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Zoom_30.style.transform = transform; 

		}

		/* MMMAP_MIL_ZOOM_READOUT_31 */
		var MMMap_Mil_Zoom_Readout_31 = this.querySelector("#MMMap_Mil_Zoom_Readout_31");
		if (typeof MMMap_Mil_Zoom_Readout_31 !== "undefined") {
		  var transform = '';

			MMMap_Mil_Zoom_Readout_31.innerHTML = Math.round( 1 * 5926 ).toString() + " ft" ;

		  if (transform != '')
		    MMMap_Mil_Zoom_Readout_31.style.transform = transform; 

		}

		/* MMMAP_MIL_MAP_BACKGROUND_32 */
		var MMMap_Mil_Map_background_32 = this.querySelector("#MMMap_Mil_Map_background_32");
		if (typeof MMMap_Mil_Map_background_32 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Map_background_32.style.transform = transform; 

		}

		/* MMMAP_MIL_CONTROL_MENU_33 */
		var MMMap_Mil_Control_Menu_33 = this.querySelector("#MMMap_Mil_Control_Menu_33");
		if (typeof MMMap_Mil_Control_Menu_33 !== "undefined") {
		  var transform = '';

		  MMMap_Mil_Control_Menu_33.style.display = var ExpressionResult = 0; /* POSSIBLE JS ERROR "(L:MMap_Menu,enum) 0 ==" */ ? "block" : "none";

		  if (transform != '')
		    MMMap_Mil_Control_Menu_33.style.transform = transform; 

		}

		/* MMMAP_MIL_ELEMENT_34 */
		var MMMap_Mil_Element_34 = this.querySelector("#MMMap_Mil_Element_34");
		if (typeof MMMap_Mil_Element_34 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Element_34.style.transform = transform; 

		}

		/* MMMAP_MIL_GAUGETEXT_35 */
		var MMMap_Mil_GaugeText_35 = this.querySelector("#MMMap_Mil_GaugeText_35");
		if (typeof MMMap_Mil_GaugeText_35 !== "undefined") {
		  var transform = '';

			MMMap_Mil_GaugeText_35.innerHTML = "C\n%\{lsp=13}% O\n%\{lsp=13}% P\n%\{lsp=1}%";

		  if (transform != '')
		    MMMap_Mil_GaugeText_35.style.transform = transform; 

		}

		/* MMMAP_MIL_ELEMENT_36 */
		var MMMap_Mil_Element_36 = this.querySelector("#MMMap_Mil_Element_36");
		if (typeof MMMap_Mil_Element_36 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    MMMap_Mil_Element_36.style.transform = transform; 

		}

		/* MMMAP_MIL_GAUGETEXT_37 */
		var MMMap_Mil_GaugeText_37 = this.querySelector("#MMMap_Mil_GaugeText_37");
		if (typeof MMMap_Mil_GaugeText_37 !== "undefined") {
		  var transform = '';

			MMMap_Mil_GaugeText_37.innerHTML = "ZO            ZI        MENU                RM";

		  if (transform != '')
		    MMMap_Mil_GaugeText_37.style.transform = transform; 

		}

    }
}
registerLivery("gauges_essai7-element", gauges_essai7);
