class gauges_pylone1 extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_pylone1"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }


    }
}
registerLivery("gauges_pylone1-element", gauges_pylone1);
